DocTest : Mono.DocTest.Generic Namespace

# MyList<A,B> Generic Class

Documentation for this section has not yet been entered.

## Syntax

public class MyList<A, B> : GenericBase<Dictionary<A, B>>, IFoo<A>, ICollection<A>, IEnumerable<A>, IEnumerator<A>
where A : class, IList<B>, new()
where B : class, A

#### Type Parameters

> A
>   Ako generic param
> B
>   Bko generic param

## Remarks

`T:Mono.DocTest.MyList`2`.

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from GenericBase<Dictionary<A, B>>.

## Public Constructors

| MyList () | Documentation for this section has not yet been entered.

## Public Fields

const | ConstField1 | int . Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)

## Public Properties

[read-only] | Count | int . Documentation for this section has not yet been entered.
[read-only] | Current | A . Documentation for this section has not yet been entered.

## Public Methods

BaseMethod<S> (S) : Dictionary<A, B>

> Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)

CopyTo (A[], int)

> Documentation for this section has not yet been entered.

Dispose ()

> Documentation for this section has not yet been entered.

Foo () : KeyValuePair<IEnumerable<A>, IEnumerable<B>>

> Documentation for this section has not yet been entered.

GetEnumerator () : List<A>.Enumerator

> Documentation for this section has not yet been entered.

MoveNext () : bool

> Documentation for this section has not yet been entered.

Reset ()

> Documentation for this section has not yet been entered.

## Public Events

| ItemChanged | Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)
| MyEvent | Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)

## Explicitly Implemented Interface Members

| ICollection<A>.Add | Documentation for this section has not yet been entered.
| ICollection<A>.Clear | Documentation for this section has not yet been entered.
| ICollection<A>.Contains | Documentation for this section has not yet been entered.
[read-only] | IEnumerator<A>.Current | A . Documentation for this section has not yet been entered.
[read-only] | IEnumerator.Current | object . Documentation for this section has not yet been entered.
| IEnumerable<A>.GetEnumerator | Documentation for this section has not yet been entered.
| IEnumerable.GetEnumerator | Documentation for this section has not yet been entered.
[read-only] | ICollection<A>.IsReadOnly | bool . Documentation for this section has not yet been entered.
| Mono.DocTest.Generic.IFoo<A>.Method<U> | Documentation for this section has not yet been entered.
| ICollection<A>.Remove | Documentation for this section has not yet been entered.

## Extension Methods

static

Bar<T> (this IFoo<T>, string)

> Mono.DocTest.Generic.IFoo`1 extension method

static

ForEach<T> (this IEnumerable<T>, Action<T>)

> IEnumerable`1 extension method

static

ToDouble (this IEnumerable<int>) : IEnumerable<double>

> IEnumerable<int> extension method.

static

ToDouble<T> (this T) : double

> Mono.DocTest.Generic.IFoo`1 extension method.

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### MyList Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public MyList ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### CopyTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void CopyTo (A[] array, int arrayIndex)

> #### Parameters

> > array
> >   Where to copy elements to
> > arrayIndex
> >   Where to start copyingto

> ## Remarks

> `M:Mono.DocTest.MyList`2.CopyTo(`0[],System.Int32)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Count Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Count { get; }

> #### Value

> > A int.

> ## Remarks

> `P:Mono.DocTest.MyList`2.Count`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Current Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public A Current { get; }

> #### Value

> > The current value.

> ## Remarks

> `P:Mono.DocTest.MyList`2.Current`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Dispose Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Dispose ()

> ## Remarks

> `M:Mono.DocTest.MyList`2.Dispose`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Foo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public KeyValuePair<IEnumerable<A>, IEnumerable<B>> Foo ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> M:Mono.DocTest.Generic.MyList`2.Foo

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public List<A>.Enumerator GetEnumerator ()

> #### Returns

> > A List<`0>.Enumerator.

> ## Remarks

> `M:Mono.DocTest.MyList`2.GetEnumerator`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Mono.DocTest.Generic.IFoo<A>.Method<U> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> A Mono.DocTest.Generic.IFoo<U> (A a, U u)

> #### Type Parameters

> > U
> >   U generic param on MyList`2

> #### Parameters

> > a
> >   Documentation for this section has not yet been entered.
> > u
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.Generic.MyList`2.Mono#DocTest#Generic#IFoo{A}#Method``1(`0,``0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### MoveNext Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool MoveNext ()

> #### Returns

> > bool

> ## Remarks

> `M:Mono.DocTest.MyList`2.MoveNext`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Reset Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Reset ()

> ## Remarks

> `M:Mono.DocTest.MyList`2.Reset`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.ICollection<A>.Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> void System.Collections.Generic.ICollection<A>.Add (A item)

> #### Parameters

> > item
> >   The item to add.

> ## Remarks

> `M:Mono.DocTest.MyList`2.System#Collections#Generic#ICollection{A}#Add(`0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.ICollection<A>.Clear Method

> Documentation for this section has not yet been entered.

> ## Syntax

> void System.Collections.Generic.ICollection<A>.Clear ()

> ## Remarks

> `M:Mono.DocTest.MyList`2.System#Collections#Generic#ICollection{A}#Clear`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.ICollection<A>.Contains Method

> Documentation for this section has not yet been entered.

> ## Syntax

> bool System.Collections.Generic.ICollection<A>.Contains (A item)

> #### Parameters

> > item
> >   The item to check for

> #### Returns

> > A bool instance (`false`).

> ## Remarks

> `M:Mono.DocTest.MyList`2.System#Collections#Generic#ICollection{A}.Contains(`0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.ICollection<A>.IsReadOnly Property

> Documentation for this section has not yet been entered.

> ## Syntax

> bool System.Collections.Generic.ICollection<A>.IsReadOnly { get; }

> #### Value

> > A bool.

> ## Remarks

> `P:Mono.DocTest.MyList`2.System#Collections#Generic#ICollection{A}#IsReadOnly`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.ICollection<A>.Remove Method

> Documentation for this section has not yet been entered.

> ## Syntax

> bool System.Collections.Generic.ICollection<A>.Remove (A item)

> #### Parameters

> > item
> >   the item to remove

> #### Returns

> > Whether the item was removed.

> ## Remarks

> `M:Mono.DocTest.MyList`2.System#Collections#Generic#ICollection{A}#Remove(`0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.IEnumerable<A>.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator<A> System.Collections.Generic.IEnumerable<A>.GetEnumerator ()

> #### Returns

> > A IEnumerator<`0>.

> ## Remarks

> `M:Mono.DocTest.MyList`2.System#Collections#Generic#IEnumerable{A}#GetEnumerator`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.Generic.IEnumerator<A>.Current Property

> Documentation for this section has not yet been entered.

> ## Syntax

> A System.Collections.Generic.IEnumerator<A>.Current { get; }

> #### Value

> > The current value.

> ## Remarks

> `P:Mono.DocTest.MyList`2.Current`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.IEnumerable.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator System.Collections.IEnumerable.GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.MyList`2.System#Collections#GetEnumerator`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.IEnumerator.Current Property

> Documentation for this section has not yet been entered.

> ## Syntax

> object System.Collections.IEnumerator.Current { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0